unit Colors;

interface

uses crt;

const
  {Defines some color constants; not all of these are used}
  CL_BLACK = 0; {CL --> Color}
  CL_BLUE = 1;
  CL_GREEN = 2;
  CL_RED = 4;
  CL_PURPLE = 5;
  CL_BROWN = 6;
  CL_GRAY = 7;
  LIGHT_TO_DARK = 8;
  CL_LIGHT_BLACK = CL_BLACK + LIGHT_TO_DARK;
  CL_LIGHT_BLUE = CL_BLUE + LIGHT_TO_DARK;
  CL_LIGHT_GREEN = CL_GREEN + LIGHT_TO_DARK;
  CL_LIGHT_RED = CL_RED + LIGHT_TO_DARK;
  CL_LIGHT_PURPLE = CL_PURPLE + LIGHT_TO_DARK;
  CL_LIGHT_BROWN = CL_BROWN + LIGHT_TO_DARK;
  CL_LIGHT_GRAY = CL_GRAY + LIGHT_TO_DARK;

  {Better names for certain color constants}
  CL_DARK_GRAY = CL_LIGHT_BLACK;
  CL_YELLOW = CL_LIGHT_BROWN;
  CL_WHITE = CL_LIGHT_GRAY;

type TColor = byte;

{TColors is an object the represents and hand the color for another
 object like a TAlien, TShip, or TBullet}
type TColors = object
  ForeColor, BackColor : TColor;

  procedure SetColors (fc, bc : TColor);
  procedure UseColors;
end;

  procedure SetFBColors (fc, bc : TColor);

implementation

procedure TColors.SetColors (fc, bc : TColor);
begin
  ForeColor := fc;
  BackColor := bc;
end;

procedure TColors.UseColors;
begin
  SetFBColors (ForeColor, BackColor);
end;

procedure SetFBColors (fc, bc : TColor);
begin
  TextColor (fc);
  TextBackGround (bc);
end;

end.