unit Coords;

interface

uses crt;

type TCoord = byte;

{the TCoords object represents the coordinates for other objects like a
 TShip}
type TCoords = object
  x, y : TCoord;

  procedure Locate;
  procedure SetCoords (x1, y1 : TCoord);
  function On (c : TCoords) : boolean;
end;

function CordComp (c1, c2 : TCoords) : boolean;

implementation

procedure TCoords.Locate;
begin
  gotoxy (x, y);
end;

procedure TCoords.SetCoords (x1, y1 : TCoord);
begin
  x := x1; y := y1;
end;

function TCoords.On (c : TCoords) : boolean;
begin
  On := (c.x = x) and (c.y = y);
end;

function CordComp (c1, c2 : TCoords) : boolean;
begin
  CordComp := (c1.x = c2.x) and (c1.y = c2.y);
end;

end.